Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#517 closed defect

sparc-rtems-gcc: Configuration is broken

Reported by: Ralf Corsepius Owned by: Joel Sherrill
Priority: normal Milestone: 2
Component: tool Version: 4.6
Severity: major Keywords:
Cc: bugs@…, ralf.corsepius@… Blocked By:
Blocking:

Description (last modified by Joel Sherrill)

In gcc/config.gcc, the sparc*-rtems* configuration includes
sol2.h rtems/sol2.h.

These files are Solaris2-specific and should not be applied to building sparc-rtems-gcc.

This causes sparc-rtems-gcc to pick up Solaris specific settings instead of RTEMS-specific settings.

This issue for example becomes visible when building gcc-3.3.2's gnatlib for sparc-rtems.

Release:
RTEMS-4.6/CVS

Attachments (1)

gcc-3.3.2-rtems-sparc.diff (14.7 KB) - added by Ralf Corsepius on 12/03/06 at 13:31:13.
gcc-3.3.2-rtems-sparc.diff

Download all attachments as: .zip

Change History (4)

comment:1 Changed on 11/17/03 at 12:47:36 by Ralf Corsepius

Status: assignedwaiting

comment:2 Changed on 03/08/06 at 19:53:31 by Joel Sherrill

Status: waitingsuspended

State-Changed-From-To: feedback->suspended
State-Changed-Why: Tool version in question is quite old and this appears to be
resolved in the current gcc versions.

Changed on 12/03/06 at 13:31:13 by Ralf Corsepius

Attachment: gcc-3.3.2-rtems-sparc.diff added

gcc-3.3.2-rtems-sparc.diff

comment:3 Changed on 11/21/14 at 14:10:56 by Joel Sherrill

Description: modified (diff)
Resolution: wontfix
Status: closed
Note: See TracTickets for help on using tickets.